function [xt1, qt1] = exactBL(a, b, ul, ur, t);
% true solution 

aflow = .5;
qs = sqrt(aflow/(1+aflow));
fs = qs^2 / (qs^2 + aflow*(1-qs)^2);
s1 = fs/qs;  % shock speed

qrare = linspace(1,qs,100);
srare = 2*aflow*qrare.*(1-qrare) ./ ((qrare.^2 + aflow*(1-qrare).^2).^2);
xrare = t*srare;
xt1 = [a 0 xrare s1*t b];
qt1 = [ul ul qrare ur ur];
end


