a = 0;
b = 1;
n = 20;
h = (b-a)/n;
x = linspace(a+0.5*h, b-0.5*h, n)';
K = 3*ones(size(x));
moyenne= 'harmonique';
rhsfun = @(x) 6 * ones(size(x));

bcleftD.type = 'Dirichlet';
bcleftD.value = 1;
bcleftN.type = 'Neumann';
bcleftN.value = -6;

bcrightD.type = 'Dirichlet';
bcrightD.value = 2;
bcrightN.type = 'Neumann';
bcrightN.value = 0;

bclist = [bcleftD, bcrightD];
%bclist = [bcleftD, bcrightN];
%bclist = [bcleftN, bcrightD];
%bclist = [bcleftN, bcrightN];

u = solve(a, b, n, K, rhsfun, bclist, moyenne);
solex = @(x) x .* (1 - x) + x + 1;
uex = solex(x);
erreur = norm(u-uex,2)*h / norm(uex,2)*h;
fprintf("erreur= %g \n", erreur);

plot(x, u, x, uex,'LineWidth',2 );
legend('sol. approchée', 'sol. exacte');
xlabel('x ');
ylabel('u(x)');


