a = -0.5;
b = 1.5;
nx = 100;
dx = (b-a)/nx;
x = linspace(a+0.5*dx, b-0.5*dx, nx)';
x1 = [a-0.5*dx; x; b+0.5*dx];
t0 = 0;
tf = 0.5;
% choc
ul = 1;
ur = 0;
% condition cfl
cfl = 0.1;
%cfl = 0.8;
% dt = pas de temps
dt = cfl* dx ;

uinit = zeros(size(x1));
uinit(x1<0) = ul;
uinit(x1>=0) = ur;

fracflow = @(u) (u.^2) ./ (u.^2 + 0.5*( 1 - u ).^2 );
upflux = @(u, v) fracflow(u);

uold = uinit;
t=0;
while t < tf
    uold(1) = ul;
    uold(nx+2) = ur;
    unew(2:nx+1) = uold(2:nx+1) - dt/dx*(upflux(uold(2:nx+1), uold(3:nx+2)) - upflux(uold(1:nx), uold(2:nx+1)));
    [xt1, qt1] = exactBL(a, b, ul, ur, t);
    plot(x(2:nx), unew(2:nx), 'o');
    xlabel('x');
    ylabel('solution');
    hold on
    hline = plot(xt1,qt1, 'r');
    legend('sol. approchee', 'sol. exacte');
    hold  off
    uold = unew;
    t=t+dt;
    pause(0.1);
end

