a = -3;
b = 3;
lg=b-a;
nx = 100;
dx = (b-a)/nx;
x = linspace(a+0.5*dx, b-0.5*dx, nx)';
x1 = [a-0.5*dx; x; b+0.5*dx];
t0 = 0;
tf = 1;
% detente
ul = -1;
ur = 2;
% choc
%ul = 2;
%ur = 1;
% condition cfl
cfl = 1 /max(abs(ul),abs(ur)) ;
% dt = pas de temps
dt = 0.8 * cfl * dx ;

burgers = @(u) u.^2/2;
% Numerical fluxes
% Gives a non-entropic solution
badUpwflux = @(u, v) burgers(u);

% Lax-Friedrichs flux (OK)
LFflux = @(u, v) dx/(2*dt)*(u-v) + 0.5*(burgers(u)+burgers(v));

% Godunov flux. Vectorized version, see 
% http://people.math.sfu.ca/~stockie/teaching/apma930/examples/godunov.m
sonic = @(u, v) (u<0) & (0<v);
rp = @(u, v) ~sonic(u, v) .* (u .* (u+v >= 0) + (v .* (u+v <0)));
Godunovflux = @(u,v) burgers(rp(u, v));

%numflux = badUpwflux;
%numflux = LFflux;
numflux = Godunovflux;

uinit = zeros(size(x1));
uinit(x1<0) = ul;
uinit(x1 >=0) = ur;

uold = uinit;
unew = zeros(size(uold));
uex = zeros(size(unew));
t=0;
while t < tf
    uold(1) = uold(2);
    uold(nx+2) = uold(nx+1);
    unew(2:nx+1) = uold(2:nx+1) - dt/dx*(numflux(uold(2:nx+1), uold(3:nx+2)) - numflux(uold(1:nx), uold(2:nx+1)));
    uex = solbu(nx,dx,t,a, b,ul,ur);
    plot(x(2:nx), unew(2:nx), 'o',  x(2:nx), uex(2:nx));
    axis([-3, 3, -1.5, 2.5]);
    xlabel('x');
    ylabel('solution');
    legend('sol. approchee', 'sol. exacte');
    uold = unew;
    t=t+dt;
    pause(0.1);
end
