a = 0;
b = 2;
c=1;
n = 200;
dx = (b-a)/n;
x = linspace(a+0.5*dx, b-0.5*dx, n)';
x1 = [a-0.5*dx; x; b+0.5*dx];
t0 = 0;
tf = 2;
CFL= 0.8;
dt = CFL*dx/c;
beta =200;
uinit = exp(-beta *(x1-0.5).^2);
ind = (1.2 < x1) & (x1 <1.6);
utmp = ones(size(x1));
uinit(ind) = 1;
plot(x1, uinit);

centeredflux = @(u, v) c/2*(u+v);
upwindflux = @(u, v) c*u;
LWflux = @(u, v) c/2*(u+v) - dt/dx*c^2/2*(v-u);
LFflux = @(u,v) c/2*(u+v) - dx/(2*dt)*(v-u);

%numflux = centeredflux;
%numflux = upwindflux;
numflux = LWflux;
%numflux = LFflux;
uold = uinit;
t=0;
while t < tf
    uold(1) = uold(n+1);
    uold(n+2) = uold(2);
    unew(2:n+1) = uold(2:n+1) - dt/dx*(numflux(uold(2:n+1), uold(3:n+2)) - numflux(uold(1:n), uold(2:n+1)));
    plot(x, unew(2:n+1));
    xlabel('x');
    ylabel('solution');
    uold = unew;
    t=t+dt;
    pause(0.1);
end
plot(x, uold(2:n+1), x, uinit(2:n+1));
xlabel('x');
ylabel('solution');
legend('sol. approchee', 'sol. exacte');


