function [w] = solbu(nx,dx,t,a, b,ul,ur)
% Copyright G. Allaire, Octobre 2000
%
% solution exacte du probleme de Riemann pour Burgers
%
lg=b-a;
x=a+(0:nx+1)*dx;

if ul >= ur
    % choc
    w(x<(ul+ur)*0.5*t) = ul;
    w(x>=(ul+ur)*0.5*t) = ur;
else
    % detente
    w = x/t;
    w(x<= ul*t) = ul;
    w(x>ur*t) = ur;
end
end

