a = 0;
b = 1;
n = 20;
h = (b-a)/n;
x = linspace(a+0.5*h, b-0.5*h, n)';
K = ones(size(x));
K(1:floor(n/4)) = 1e-1;
K(floor(n/4):floor(2*n/3)) = 1e-3;
K(floor(2*n/3):n) = 1e-2;
% K(1:flor(4*n/5)) = 1;
% K(floor(4*n/5):n) = 1e-3;
rhsfun = @(x) zeros(size(x));
                            
bcleftD.type = 'Dirichlet';
bcleftD.value = 1;  
bcrightD.type = 'Dirichlet';
bcrightD.value = 0;
bclist = [bcleftD, bcrightD];

moyenne = "harmonique"
uh = solve(a, b, n, K, rhsfun, bclist, moyenne);
moyenne = "arithmetique"
ua = solve(a, b, n, K, rhsfun, bclist, moyenne);


plot(x, uh, '-o', x, ua, '-+', 'LineWidth',2 );
legend('moy. harm.', 'moy. arith.');
xlabel('x ');
ylabel('u(x)');


