function [ f ] = getrhs1d( a, b, n, K, rhsfun, bclist )
%GETRHS1D Compute right hand side for diffusion equation
%   Detailed explanation goes here

h = (b-a)/n;
x = linspace(a+0.5*h, b-0.5*h, n)';
f = ???? 
switch bclist(1).type
    case 'Dirichlet'
        f(1) = f(1) +  ???
    case 'Neumann'
        f(1) = f(1) + ???
    otherwise
        error('Bad boundary condition')
end
switch bclist(1).type
    case 'Dirichlet'
        f(n) = f(n) + ????
    case 'Neumann'
        f(n) = f(n) + ????
    otherwise
        error('Bad boundary condition')
end

endfunction

