function [ u ] = solve( a, b, n, K, rhsfun, bclist, moyenne )
%SOLVE Solves 1D stationary diffusion equation
%   Detailed explanation goes here

A = getmat1d(a, b, n, K, bclist, moyenne);
f = getrhs1d(a, b, n, K, rhsfun, bclist);
u = A\f;

endfunction


